<div *ngIf="filtersLoaded | async" class="container">
    <div class="row justify-content-center">
        <div id="contenido" class="container">
            <h3 class="my-3 text-center">Tómate una selfie</h3>
                <div style="color: red; text-align: left !important;" *ngIf="errorMensaje && errorMensaje != null && errorMensaje.length > 0">
                    No hemos podido leer su documento, intente nuevamente.
                </div>
        
        <div class="row">
            <div class="col-6 mx-auto my-3">
                <img alt="" class="img-fluid" src="../../../../../assets/img/svg/tomarselfie.svg">
            </div>
          </div>
    
                            <ul class="fa-ul">
                                <li class="mb-1"><span class="fa-li"><i class="far fa-check-circle text-success fa-lg"></i></span> Asegúrate de estar en un área bien iluminada.</li>
                                <!-- <li class="mb-1"><span class="fa-li"><i class="far fa-check-circle text-success fa-lg"></i></span> Estár en un fondo liso.</li> -->
                                <li class="mb-1"><span class="fa-li"><i class="far fa-check-circle text-success fa-lg"></i></span> No tener gorras, lentes o algo que pueda ocultar tu rostro.</li>
                                <li class="mb-1"><span class="fa-li"><i class="far fa-check-circle text-success fa-lg"></i></span> Mantén una expresión seria.</li>
                            </ul>

                            <form>
                                <button type="button" class="btn btn-danger btn-lg btn-block btnUrl btnPrimary" (click)="continuar()" id="validarBoton"
                                [style.background-color]="getColorButton()"
                                [style.border-color]="getColorButton()"
                                [style.color]="getColorLabel()"
                                style="margin-bottom: 5%;">Tomar selfie</button>

                                <!-- <label class="btn-danger btn-lg btn-block btnUrl btnPrimary" id="validarLabel"
                                style="margin-bottom: 5%; color:black">Leyendo...</label> -->
                            
                                <!-- <label class="btn-primary" id="validarLabel">
                                    <span class="spinner-border spinner-border-sm"></span>
                                    leyendo...
                                </label> -->
                            </form>
                        
        </div>
        
    </div>
</div>

<div id="modalSpinner" class="modal my-auto">

    <!-- Modal content -->
    <div class="modal-content">
        <label class="" id="validarLabel">
            <span class="spinner-border spinner-border-sm"></span>
            {{mensajeModal}}
        </label>
    </div>
</div>


<!--
<div *ngIf="filtersLoaded | async" class="container">
    <div class="row justify-content-center">
        <header class="header mt-2">
            <img alt="daon_image" class="daon-image" src="../../../../../assets/daon/mitLogo.png" />
        </header>
    </div>
</div>
<div class="errorMensaje" *ngIf="errorMensaje && errorMensaje.length > 0">
    {{errorMensaje}}
</div>
<div class="container-fluid" style=" max-width:750px">
    <div class="row justify-content-center rowNew">
        <div class="col-12 col-md-6 columna">
            <h3> Selfie</h3>
            <p>Toma una selfie</p>
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-12 col-md-6 ">
            Asegúrate de estar en un área bien iluminada
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-12 col-md-6 ">
            Estár delante de un fondo liso
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-12 col-md-6 ">
            No tener gorras, lentes o algo que pueda ocultar tu rostro
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-12 col-md-6 ">
            Manten una expresión seria
        </div>
    </div>
    <div class="row justify-content-center">
        <div class="col-12 col-md-6 ">
            <button class="btn btn-primary" (click)="continuar()" id="validarBoton">Continuar</button>
        </div>
    </div>
</div> -->

